# Created by pyp2rpm-3.3.2
%global pypi_name zope-testing
%global srcname zope_testing

Name:           python-%{pypi_name}
Version:        5.1
Release:        %mkrel 2
Summary:        Zope testing helpers
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.testing
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This package provides a number of testing frameworks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides a number of testing frameworks.

%prep
%autosetup -p1 -n %{srcname}-%{version}

sed -i -e '/setuptools/s/<=/>=/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# we don't need these
find %{buildroot} -name "*.pth" -delete

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.1-2.mga10
+ Revision: 2240844
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 5.1-1.mga10
+ Revision: 2158048
- new version 5.1
- rebuild for python3.13

* Wed Jan 01 2025 papoteur <papoteur> 5.0.1-2.git20240809.mga10
+ Revision: 2134685
- use git snapshot at 2024-08-09

* Wed Dec 20 2023 tv <tv> 5.0.1-1.mga10
+ Revision: 2020320
- Update to 5.0.1
- Rebuild for python 3.12

* Thu Sep 08 2022 neoclust <neoclust> 4.10-1.mga9
+ Revision: 1885771
- New version  4.10

* Wed Mar 23 2022 umeabot <umeabot> 4.9-3.mga9
+ Revision: 1822193
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 4.9-2.mga9
+ Revision: 1772137
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 4.9-1.mga9
+ Revision: 1702538
- new version 4.9
- rebuild for python3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.7-3.mga8
+ Revision: 1534629
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 4.7-2.mga8
+ Revision: 1449624
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 4.7-1.mga8
+ Revision: 1432227
- imported package python-zope-testing

